> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Entity Onboarding (Banking Connectivity)

Cancel a pending onboarding. Only onboardings that have not reached a terminal status can be cancelled. See [Onboarding statuses](/reference/banking-connectivity#onboarding-statuses) for which statuses are terminal.


## OpenAPI

````yaml openapi/banking-connectivity/entity-onboarding-banking-connectivity/cancel-entity-onboarding.json POST /banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel
openapi: 3.0.0
info:
  version: 1.0.0
  title: Banking Connectivity
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel:
    post:
      tags:
        - Entity Onboarding (Banking Connectivity)
      summary: Cancel Entity Onboarding (Banking Connectivity)
      operationId: >-
        post_v1-banking-connectivity-entities-entity-id-onboardings-onboarding-id-cancel
      parameters:
        - in: path
          name: entity_id
          schema:
            type: string
          required: true
          description: >-
            The `id` of the entity obtained from [Create
            Entity](/reference/create-entity).
        - in: path
          name: onboarding_id
          schema:
            type: string
          required: true
          description: >-
            The `id` of the entity obtained from [Create
            Entity](/reference/create-entity).
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                OK:
                  summary: OK
                  value:
                    id: onb_990e8400-e29b-41d4-a716-446655440000
                    entity_id: ent_660e8400-e29b-41d4-a716-446655440000
                    yuno_account_id: 550e8400-e29b-41d4-a716-446655440000
                    provider:
                      entity_id: col_entity_onboarded_123
                      status: cancelled
                    onboarding_type: ONE_STEP
                    status: CANCELLED
                    requirements: []
                    created_at: '2026-02-01T10:00:00Z'
                    updated_at: '2026-02-02T08:45:00Z'
                    expires_at: '2026-02-08T10:00:00Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: onb_990e8400-e29b-41d4-a716-446655440000
                  entity_id:
                    type: string
                    example: ent_660e8400-e29b-41d4-a716-446655440000
                  yuno_account_id:
                    type: string
                    example: 550e8400-e29b-41d4-a716-446655440000
                  provider:
                    type: object
                    properties:
                      entity_id:
                        type: string
                        example: col_entity_onboarded_123
                      status:
                        type: string
                        example: cancelled
                  onboarding_type:
                    type: string
                    example: ONE_STEP
                  status:
                    type: string
                    example: CANCELLED
                  requirements:
                    type: array
                    items:
                      type: object
                      properties: {}
                  created_at:
                    type: string
                    example: '2026-02-01T10:00:00Z'
                  updated_at:
                    type: string
                    example: '2026-02-02T08:45:00Z'
                  expires_at:
                    type: string
                    example: '2026-02-08T10:00:00Z'
        '202':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: onb_990e8400-e29b-41d4-a716-446655440000
                  entity_id:
                    type: string
                    example: ent_660e8400-e29b-41d4-a716-446655440000
                  yuno_account_id:
                    type: string
                    example: 550e8400-e29b-41d4-a716-446655440000
                  provider:
                    type: object
                    properties:
                      entity_id:
                        type: string
                        example: col_entity_onboarded_123
                      status:
                        type: string
                        example: cancelled
                  onboarding_type:
                    type: string
                    example: ONE_STEP
                  status:
                    type: string
                    example: CANCELLED
                  requirements:
                    type: array
                    items:
                      type: object
                      properties: {}
                  created_at:
                    type: string
                    example: '2026-02-01T10:00:00Z'
                  updated_at:
                    type: string
                    example: '2026-02-02T08:45:00Z'
                  expires_at:
                    type: string
                    example: '2026-02-08T10:00:00Z'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: VALIDATION_ERROR
                  messages:
                    type: array
                    items:
                      type: string
                      example: >-
                        Onboarding has reached a terminal status and cannot be
                        cancelled
                  http_code:
                    type: integer
                    example: 400
                    default: 0
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    code: VALIDATION_ERROR
                    messages:
                      - >-
                        Onboarding has reached a terminal status and cannot be
                        cancelled
                    http_code: 400
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: ONBOARDING_NOT_FOUND
                  messages:
                    type: array
                    items:
                      type: string
                      example: Onboarding not found
                  http_code:
                    type: integer
                    example: 404
                    default: 0
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    code: ONBOARDING_NOT_FOUND
                    messages:
                      - Onboarding not found
                    http_code: 404
          description: Not Found
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````